#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>

#define LG_BUFFER 64

int main(int argc, char * argv[])
{
	char buffer[LG_BUFFER];
	int fd;
	struct timespec ts;
	long int sec, nsec;
	long int duree;

	if ((argc != 2) || ((fd = open(argv[1], O_RDONLY)) < 0)) {
		fprintf(stderr, "usage: %s fichier-spcial\n", argv[0]);
		exit(EXIT_FAILURE);
	}
	while (1) {
		if (read(fd, buffer, LG_BUFFER) <= 0)
			break;
		clock_gettime(CLOCK_REALTIME, & ts);
		if (sscanf(buffer, "%ld %ld", & sec, & nsec) != 2)
			break;
		duree  = ts.tv_sec - sec;
		duree *= 1000000000;
		duree += ts.tv_nsec - nsec;
		fprintf(stdout, "%ld\n", duree);
	}
	return EXIT_FAILURE;
}
